Bug 1294520

Summary: Latexila add missing "lettre" depedency
Product: [Fedora] Fedora Reporter: jibecfed <jean-baptiste>
Component: latexilaAssignee: Thibault North <thibault.north>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: mfabian, pnemade, psatpute, thibault.north
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 11:08:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description jibecfed 2015-12-28 17:28:39 UTC
Description of problem:
when testing the update of latexila, I discovered that one of the basic templates are missing from package https://bodhi.fedoraproject.org/updates/FEDORA-2015-377278facd
the current package is already missing, so it is not a regression

Version-Release number of selected component (if applicable):
latexila 3.18.1-1

How reproducible:
always

Steps to Reproduce:
1. install latexila
2. make new document with Lettre template "Fichier > Nouveau > Lettre"
3. press Latex to PDF button

Actual results:
it fails with "! LaTeX Error: File `lettre.cls' not found."


Expected results:
it should provides a pdf file with default content

Additional info:
installing packages "texlive-lettre" and "texlive-babel-french" solves the problem.

Is it language related or generally broken ?
If it is language related, does it exist a way to add it has a language specific dependency ?

Comment 1 Parag Nemade 2016-03-30 13:59:46 UTC
I am not able to reproduce this. Can you check this same issue if exists in Fedora 24?

Comment 2 Fedora End Of Life 2016-11-24 14:33:39 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 jibecfed 2016-11-25 06:39:26 UTC
you need to run Latexila in French locale ;)

Comment 4 Fedora End Of Life 2017-11-16 19:35:46 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 11:08:36 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.